## mpl-sphinx-theme 0.0.6

=== requirements.txt ===
pydata-sphinx-theme>=0.6.0

=== debian/changelog ===
mpl-sphinx-theme (0.0.6-1) unstable; urgency=low

  * Initial release, autogenerated by py2dsp/2.20211122-morph; Closes: #999877

 -- Sandro Tosi <morph@debian.org>  Tue, 23 Nov 2021 04:05:38 +0000

=== debian/control ===
Source: mpl-sphinx-theme
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-pydata-sphinx-theme (>= 0.6.0),
               python3-setuptools,
               python3-sphinx,
Standards-Version: 4.6.0.1
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/matplotlib/mpl-sphinx-theme
Vcs-Git: https://salsa.debian.org/python-team/packages/mpl-sphinx-theme.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/mpl-sphinx-theme

Package: python3-mpl-sphinx-theme
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Matplotlib theme for Sphinx
 This is the official Sphinx theme for Matplotlib documentation.  It extends the
 pydata-sphinx-theme project, but adds custom styling and a navigation bar.

Package: python-mpl-sphinx-theme-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: documentation for the mpl-sphinx-theme Python library
 This is the official Sphinx theme for Matplotlib documentation.  It extends the
 pydata-sphinx-theme project, but adds custom styling and a navigation bar.
 .
 This package provides documentation for mpl-sphinx-theme

=== debian/watch ===
version=4
opts="pgpmode=none, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/matplotlib/mpl-sphinx-theme/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## mpl-sphinx-theme 3.5.0

=== debian/changelog ===
mpl-sphinx-theme (3.5.0-2) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Thu, 29 Feb 2024 01:52:32 -0500

mpl-sphinx-theme (3.5.0-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.6.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Tue, 21 Jun 2022 23:36:30 -0400

mpl-sphinx-theme (0.0.6-2) unstable; urgency=medium

  * source-only upload, to make it migrate to testing

 -- Sandro Tosi <morph@debian.org>  Tue, 21 Jun 2022 13:30:10 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: mpl-sphinx-theme
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-pydata-sphinx-theme (>= 0.6.0),
                python3-setuptools,
                python3-sphinx,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/matplotlib/mpl-sphinx-theme
 Vcs-Git: https://salsa.debian.org/python-team/packages/mpl-sphinx-theme.git
@@ -28,6 +27,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: documentation for the mpl-sphinx-theme Python library
  This is the official Sphinx theme for Matplotlib documentation.  It extends the
  pydata-sphinx-theme project, but adds custom styling and a navigation bar.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=mpl-sphinx-theme
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build-indep:
	dh_auto_build -i
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

## mpl-sphinx-theme 3.9.0

=== docs/requirements.txt ===
pydata-sphinx-theme>=0.13.1
matplotlib

=== debian/changelog ===
mpl-sphinx-theme (3.9.0-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * New upstream release.
  * debian/control: Switch to build using pyproject.toml.

  [ Andreas Tille ]
  * Add myself to Upoaders
    Closes: #1065042
  * (Re-)inject changes from NMU into changelog, patch is included
    in new upstream version
    Closes: #1005826
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Add upstream metadata

  [ Alexandre Detiste ]
  * New upstream version 3.9.0 (Closes: #1076897)

  [ Josenilson Ferreira da Silva ]
  * debian/control:
     - Added build-depends 'jdupes'
     - Bumped Standards-Version to 4.7.0
     - Include Uploaders field with my name and email
     - Removed sphinxdoc:Built-Using
  * debian/copyright:
     - Include name new maintainer
  * debian/patches:
     - Changed settings in images to ensure reproducibility
  * debian/python-mpl-sphinx-theme-doc.doc-base:
     - Added file doc-base
  * debian/rules:
     - Removed duplicate-files
     - Unnecessary files removed

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Tue, 12 Nov 2024 20:55:20 -0300

mpl-sphinx-theme (3.5.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Chris Lamb ]
  * Make the documentation build reproducibly (Closes: #1005826)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Wed, 06 Dec 2023 15:59:56 -0800

=== debian/control ===
Source: mpl-sphinx-theme
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-matplotlib <!nodoc>,
               python3-pydata-sphinx-theme (>= 0.13.1),
               python3-setuptools,
               python3-sphinx <!nodoc>,
               jdupes
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/matplotlib/mpl-sphinx-theme
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/mpl-sphinx-theme.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/mpl-sphinx-theme
Description: Matplotlib theme for Sphinx
 This is the official Sphinx theme for Matplotlib documentation.  It extends the
 pydata-sphinx-theme project, but adds custom styling and a navigation bar.

Package: python3-mpl-sphinx-theme
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python-mpl-sphinx-theme-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: documentation for the mpl-sphinx-theme Python library
 ${source:Extended-Description}
 .
 This package provides documentation for mpl-sphinx-theme.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export PYBUILD_NAME=mpl-sphinx-theme
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build-indep:
 	dh_auto_build -i
@@ -12,3 +12,6 @@
 	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
 	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
 endif
+execute_before_dh_sphinxdoc:
+	find debian/python3-mpl-sphinx-theme/usr -path '*/images/favicon.ico' -execdir rm -r '{}' \;
+	jdupes -rl debian/python-mpl-sphinx-theme-doc/usr/
